/* Listing3807.java */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Listing3807
extends JFrame
implements ActionListener
{
  JTable table;
  SparseTableModel tableModel;

  public Listing3807()
  {
    super("JTable 2");
    addWindowListener(new WindowClosingAdapter());
    tableModel = new SparseTableModel(1000);
    table = new JTable(tableModel, null);
    table.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
    table.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
    table.setCellSelectionEnabled(true);
    Container cp = getContentPane();
    cp.add(new JScrollPane(table), "Center");
    JButton button = new JButton("Drucken");
    button.addActionListener(this);
    cp.add(button, "South");
  }

  public void actionPerformed(ActionEvent event)
  {
    tableModel.printData();
  }

  public static void main(String[] args)
  {
    Listing3807 frame = new Listing3807();
    frame.setLocation(100, 100);
    frame.setSize(320, 200);
    frame.setVisible(true);
  }
}